rebol [
  title:  "embedded rebol"
  date:   9-Aug-2002/3:50:59+2:00
  author: "vpavlu"
]

r/content-type: "text/html"

; single-line comments are dangerous! keep in mind

do load join module-dir %output-buffer.r

buf: read r/path-translated
r/content: copy ""

either none? find buf "<?rebol" [
  r/content: buf
][
  code: make string! length? buf
  clear code
  parse/all buf [
    any [
      copy text to "<?rebol" ( if not none? text [ append code reduce [ 'prin mold to-string text ] ] ) "<?rebol"
      copy text to "?>" ( if not none? text [ append code text ] ) "?>"
    ]
    copy text to end ( if not none? text [ append code reduce [ 'prin mold to-string text ] ] )
  ]
  
  output-buffer-open
  if error? set/any 'err try [ do code ][ r/content: disarm err ]
  buf: output-buffer-close
  if empty? r/content [ r/content: buf ]
]

